
// HealthHutUiDlg.h : 头文件
//

#pragma once

#include "MainApp.h"
#include "afxcmn.h"
#include "afxwin.h"

// CHealthHutUiDlg 对话框
class CHealthHutUiDlg : public CDialogEx
{
// 构造
public:
	CHealthHutUiDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_HEALTHHUTUI_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持

// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
private:
	CMainApp mMain;
public:
	afx_msg void OnClose();
	CListCtrl mList;
	afx_msg void OnNMClickList1(NMHDR *pNMHDR, LRESULT *pResult);
	CEdit mName;
	CEdit mCard;
};
